<?xml version="1.0"?>
<routes xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Webapi:etc/webapi.xsd">

     <route url="/V1/writetextai/transfer" method="POST">
        <service class="WriteTextAI\WriteTextAI\Api\RecordManagementInterface" method="processRecords"/>
        <resources>
            <resource ref="WriteTextAI_WriteTextAI::api_transfer"/>
        </resources>
    </route>

    <route url="/V1/writetextai/ping" method="POST">
        <service class="WriteTextAI\WriteTextAI\Api\PingInterface" method="ping"/>
        <resources>
            <resource ref="WriteTextAI_WriteTextAI::api_transfer"/>
        </resources>
    </route>

    <route url="/V1/writetextai/image" method="GET">
        <service class="WriteTextAI\WriteTextAI\Api\ImageApiInterface" method="getImages"/>
        <resources>
            <resource ref="WriteTextAI_WriteTextAI::api_transfer"/>
        </resources>
    </route>

    <route url="/V1/writetextai/image/base64" method="GET">
        <service class="WriteTextAI\WriteTextAI\Api\ImageBase64ApiInterface" method="getBase64"/>
        <resources>
            <resource ref="WriteTextAI_WriteTextAI::api_transfer"/>
        </resources>
    </route>

    <route url="/V1/writetextai/record" method="POST">
        <service class="WriteTextAI\WriteTextAI\Api\RecordDetailsApiInterface" method="getRecordDetails"/>
        <resources>
            <resource ref="WriteTextAI_WriteTextAI::api_transfer"/>
        </resources>
    </route>

</routes>
